Test::Int::Unary::ManFixPUnary Class Reference

Test for unary constraint More...

## Public Member Functions

| ManFixPUnary (const Gecode::IntArgs &p0, int o, Gecode::IntPropLevel ipl0)
| Create and register test.
virtual Assignment * | assignment (void) const
| Create and register initial assignment.
virtual bool | solution (const Assignment &x) const
| Test whether x is solution
virtual void | post (Gecode::Space &home, Gecode::IntVarArray &x)
| Post constraint on x.
| Test (const std::string &p, const std::string &s, int a, const Gecode::IntSet &d, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &s, int a, const Gecode::IntSet &d, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &p, const std::string &s, int a, int min, int max, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &s, int a, int min, int max, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
virtual bool | ignore (const Assignment &) const
| Whether to ignore assignment for reification.
virtual void | post (Gecode::Space &home, Gecode::IntVarArray &x, Gecode::Reify r)
| Post reified constraint.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Static Protected Member Functions

static int | st (const Gecode::IntArgs &p)
| Get a reasonable maximal start time.

## Protected Attributes

Gecode::IntArgs | p
| The processing times.
Protected Attributes inherited from Test::Int::Test
int | arity
| Number of variables.
Gecode::IntSet | dom
| Domain of variables.
bool | reified
| Does the constraint also exist as reified constraint.
int | rms
| Which reification modes are supported.
Gecode::IntPropLevel | ipl
| Propagation level.
ConTestLevel | contest
| Whether to test for certain consistency.
bool | testsearch
| Whether to perform search test.
bool | testfix
| Whether to perform fixpoint test.

## Additional Inherited Members

static std::string | str (Gecode::IntPropLevel ipl)
| Map integer propagation level to string.
static std::string | str (Gecode::IntRelType irl)
| Map integer relation to string.
static std::string | str (Gecode::BoolOpType bot)
| Map Boolean operation to string.
static std::string | str (bool b)
| Map bool to string.
static std::string | str (int i)
| Map integer to string.
static std::string | str (const Gecode::IntArgs &i)
| Map integer array to string.
template<class T>
static bool | cmp (T x, Gecode::IntRelType r, T y)
| Compare x and y with respect to r.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
bool | eqv (void) const
| Test whether equivalence as reification mode is supported.
bool | imp (void) const
| Test whether implication as reification mode is supported.
bool | pmi (void) const
| Test whether reverse implication as reification mode is supported.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for unary constraint

Definition at line 51 of file unary.cpp.

## Constructor & Destructor Documentation

## ManFixPUnary()

Test::Int::Unary::ManFixPUnary::ManFixPUnary | ( | const Gecode::IntArgs & | p0,
|  | int | o,
|  | Gecode::IntPropLevel | ipl0 )

inline

Create and register test.

Definition at line 64 of file unary.cpp.

## Member Function Documentation

## st()

int Test::Int::Unary::ManFixPUnary::st | ( | const Gecode::IntArgs & | p | ) |

inline static protected

Get a reasonable maximal start time.

Definition at line 56 of file unary.cpp.

## assignment()

virtual Assignment * Test::Int::Unary::ManFixPUnary::assignment | ( | void |  | ) | const

inline virtual

Create and register initial assignment.

Reimplemented from Test::Int::Test.

Definition at line 72 of file unary.cpp.

## solution()

virtual bool Test::Int::Unary::ManFixPUnary::solution | ( | const Assignment & | x | ) | const

inline virtual

Test whether x is solution

Implements Test::Int::Test.

Definition at line 76 of file unary.cpp.

## post()

virtual void Test::Int::Unary::ManFixPUnary::post | ( | Gecode::Space & | home,
|  | Gecode::IntVarArray & | x )

inline virtual

Post constraint on x.

Implements Test::Int::Test.

Definition at line 84 of file unary.cpp.

## Member Data Documentation

## p

Gecode::IntArgs Test::Int::Unary::ManFixPUnary::p

protected

The processing times.

Definition at line 54 of file unary.cpp.

The documentation for this class was generated from the following file:

- test/int/unary.cpp